1

I use alpine-php fpm docker container for developing and deploying a php application. I want to use wkhtmltopdf for generating pdfs. I installed by using apk add wkhtmltopdf But when I run it I receive Cannot mix incompatible Qt library (version 0x50c03) with this library (version 0x50c00) Since I needed to install quite a lot of packages for this app I'm not sure which package from the list bellow installs qt as a dependacy:

 apk add --no-cache \
            mysql-client \
            php7-mysqli \
            php7-pdo \
            freetype \
            libpng \
            freetype-dev \
            libpng-dev \
            jpeg-dev \
            libjpeg \
            libjpeg-turbo-dev \
            wget \
            zlib-dev \
            ttf-freefont \
            fontconfig \
            xvfb \
            libxrender-dev \
            gettext \
            gettext-dev \
            libxml2-dev \
            gnu-libiconv-dev \
            autoconf \
            g++ \
            git \
            bash \
            ca-certificates \
            make

Is there any way to figure out what of these packages installed qt and how can I fix the compatibility issue?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.